# Form implementation generated from reading ui file 'src/eric7/WebBrowser/Bookmarks/AddBookmarkDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_AddBookmarkDialog(object):
    def setupUi(self, AddBookmarkDialog):
        AddBookmarkDialog.setObjectName("AddBookmarkDialog")
        AddBookmarkDialog.resize(500, 230)
        AddBookmarkDialog.setMinimumSize(QtCore.QSize(500, 0))
        AddBookmarkDialog.setMaximumSize(QtCore.QSize(500, 250))
        AddBookmarkDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(AddBookmarkDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label_2 = QtWidgets.QLabel(parent=AddBookmarkDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.nameEdit = QtWidgets.QLineEdit(parent=AddBookmarkDialog)
        self.nameEdit.setClearButtonEnabled(True)
        self.nameEdit.setObjectName("nameEdit")
        self.gridLayout.addWidget(self.nameEdit, 0, 1, 1, 1)
        self.addressLabel = QtWidgets.QLabel(parent=AddBookmarkDialog)
        self.addressLabel.setObjectName("addressLabel")
        self.gridLayout.addWidget(self.addressLabel, 1, 0, 1, 1)
        self.addressEdit = QtWidgets.QLineEdit(parent=AddBookmarkDialog)
        self.addressEdit.setClearButtonEnabled(True)
        self.addressEdit.setObjectName("addressEdit")
        self.gridLayout.addWidget(self.addressEdit, 1, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=AddBookmarkDialog)
        self.label.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 2, 0, 1, 1)
        self.descriptionEdit = EricSpellCheckedPlainTextEdit(parent=AddBookmarkDialog)
        self.descriptionEdit.setObjectName("descriptionEdit")
        self.gridLayout.addWidget(self.descriptionEdit, 2, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=AddBookmarkDialog)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 3, 0, 1, 1)
        self.locationCombo = QtWidgets.QComboBox(parent=AddBookmarkDialog)
        self.locationCombo.setObjectName("locationCombo")
        self.gridLayout.addWidget(self.locationCombo, 3, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=AddBookmarkDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 4, 0, 1, 2)

        self.retranslateUi(AddBookmarkDialog)
        self.buttonBox.accepted.connect(AddBookmarkDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(AddBookmarkDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(AddBookmarkDialog)
        AddBookmarkDialog.setTabOrder(self.nameEdit, self.addressEdit)
        AddBookmarkDialog.setTabOrder(self.addressEdit, self.descriptionEdit)
        AddBookmarkDialog.setTabOrder(self.descriptionEdit, self.locationCombo)
        AddBookmarkDialog.setTabOrder(self.locationCombo, self.buttonBox)

    def retranslateUi(self, AddBookmarkDialog):
        _translate = QtCore.QCoreApplication.translate
        AddBookmarkDialog.setWindowTitle(_translate("AddBookmarkDialog", "Add Bookmark"))
        self.label_2.setText(_translate("AddBookmarkDialog", "Name:"))
        self.nameEdit.setToolTip(_translate("AddBookmarkDialog", "Enter the name"))
        self.nameEdit.setPlaceholderText(_translate("AddBookmarkDialog", "Bookmark Title"))
        self.addressLabel.setText(_translate("AddBookmarkDialog", "Address:"))
        self.addressEdit.setToolTip(_translate("AddBookmarkDialog", "Enter the address"))
        self.addressEdit.setPlaceholderText(_translate("AddBookmarkDialog", "Bookmark URL"))
        self.label.setText(_translate("AddBookmarkDialog", "Description:"))
        self.descriptionEdit.setToolTip(_translate("AddBookmarkDialog", "Enter a description"))
        self.label_4.setText(_translate("AddBookmarkDialog", "Folder:"))
from eric7.EricWidgets.EricSpellCheckedTextEdit import EricSpellCheckedPlainTextEdit
